## ros-galactic-rosbag2-transport 0.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_transport)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(rcl REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rosbag2_compression REQUIRED)
find_package(rosbag2_cpp REQUIRED)
find_package(rosbag2_interfaces REQUIRED)
find_package(rosbag2_storage REQUIRED)
find_package(rmw_implementation_cmake REQUIRED)
find_package(shared_queues_vendor REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/rosbag2_transport/player.cpp
  src/rosbag2_transport/qos.cpp
  src/rosbag2_transport/recorder.cpp
  src/rosbag2_transport/topic_filter.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${PROJECT_NAME}
  rcl
  rclcpp
  rcutils
  rmw
  rosbag2_compression
  rosbag2_cpp
  rosbag2_interfaces
  rosbag2_storage
  shared_queues_vendor
  yaml_cpp_vendor
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "ROSBAG2_TRANSPORT_BUILDING_LIBRARY")

install(
  DIRECTORY include/
  DESTINATION include
)
install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(export_${PROJECT_NAME})
ament_export_dependencies(
  rosbag2_cpp
  rosbag2_compression
  rosbag2_interfaces
  shared_queues_vendor
  yaml_cpp_vendor)

function(create_tests_for_rmw_implementation)
  # disable the following tests for connext
  # due to slower discovery of nodes
  set(SKIP_TEST "")
  if(${rmw_implementation} MATCHES "rmw_connext(.*)")
    set(SKIP_TEST "SKIP_TEST")
  endif()

  rosbag2_transport_add_gmock(test_play
    src/rosbag2_transport/qos.cpp
    test/rosbag2_transport/test_play.cpp
    INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play_loop
    test/rosbag2_transport/test_play_loop.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play_publish_clock
    test/rosbag2_transport/test_play_publish_clock.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play_timing
    test/rosbag2_transport/test_play_timing.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_play_services
    test/rosbag2_transport/test_play_services.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_play_topic_remap
    test/rosbag2_transport/test_play_topic_remap.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play_next
      test/rosbag2_transport/test_play_next.cpp
      INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
      LINK_LIBS rosbag2_transport
      AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_qos
    src/rosbag2_transport/qos.cpp
    test/rosbag2_transport/test_qos.cpp
    INCLUDE_DIRS
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
    AMENT_DEPS rosbag2_test_common yaml_cpp_vendor)

  rosbag2_transport_add_gmock(test_record
    test/rosbag2_transport/test_record.cpp
    INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_record_all
    test/rosbag2_transport/test_record_all.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_record_all_no_discovery
    test/rosbag2_transport/test_record_all_no_discovery.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_record_regex
    test/rosbag2_transport/test_record_regex.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_topic_filter
    test/rosbag2_transport/test_topic_filter.cpp
    INCLUDE_DIRS
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
    LINK_LIBS rosbag2_transport)
endfunction()

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_index_cpp REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(test_msgs REQUIRED)
  find_package(rosbag2_test_common REQUIRED)
  include(cmake/rosbag2_transport_add_gmock.cmake)
  ament_lint_auto_find_test_dependencies()
  call_for_each_rmw_implementation(create_tests_for_rmw_implementation)
endif()

ament_package()

=== debian/changelog ===
ros-galactic-rosbag2-transport (0.9.2-1focal) focal; urgency=high

  * allow for implementation of composable recorder via inheritance (#892 <https://github.com/ros2/rosbag2/issues/892>)
  * Fix discovery silently stops after unknown msg type is found. (#848 <https://github.com/ros2/rosbag2/issues/848>) (#858 <https://github.com/ros2/rosbag2/issues/858>)
  * [backport galactic] recording with --all and --exclude fix (#765 <https://github.com/ros2/rosbag2/issues/765>) (#825 <https://github.com/ros2/rosbag2/issues/825>)
  * Contributors: Bernd Pfrommer, Cameron Miller, Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 26 Sep 2022 07:00:00 -0000

ros-galactic-rosbag2-transport (0.9.1-1focal) focal; urgency=high

  * [backport galactic] Add delay option (#789 <https://github.com/ros2/rosbag2/issues/789>) (#812 <https://github.com/ros2/rosbag2/issues/812>)
    Backport #789 <https://github.com/ros2/rosbag2/issues/789> to galactic
    * Add delay option
  * Copy recorder QoS profile to local variable so that temporary value isn't cleared (#803 <https://github.com/ros2/rosbag2/issues/803>) (#805 <https://github.com/ros2/rosbag2/issues/805>)
  * Contributors: Emerson Knapp, Kosuke Takeuchi

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 08 Jul 2021 07:00:00 -0000

ros-galactic-rosbag2-transport (0.9.0-1focal) focal; urgency=high

  * Expose play_next service (#767 <https://github.com/ros2/rosbag2/issues/767>)
  * Add play_next() API to the player class (#762 <https://github.com/ros2/rosbag2/issues/762>)
  * Naive clock jump implementation - allows for clock reuse and simplified Player setup (#754 <https://github.com/ros2/rosbag2/issues/754>)
  * Rename Reader/Writer 'reset' to 'close' (#760 <https://github.com/ros2/rosbag2/issues/760>)
  * simply constructor for rosbag2_transport::Player (#757 <https://github.com/ros2/rosbag2/issues/757>)
  * Expose GetRate/SetRate services for playback (#753 <https://github.com/ros2/rosbag2/issues/753>)
  * Expose pause/resume related services on the Player (#729 <https://github.com/ros2/rosbag2/issues/729>)
  * remodel publication manager (#749 <https://github.com/ros2/rosbag2/issues/749>)
  * remove rosbag2_transport header (#742 <https://github.com/ros2/rosbag2/issues/742>)
  * use public recorder api in tests (#741 <https://github.com/ros2/rosbag2/issues/741>)
  * Use public player API in tests (#740 <https://github.com/ros2/rosbag2/issues/740>)
  * public recorder and player (#739 <https://github.com/ros2/rosbag2/issues/739>)
  * player owns the reader (#725 <https://github.com/ros2/rosbag2/issues/725>)
  * Contributors: Emerson Knapp, Karsten Knese, Michael Orlov

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-galactic-rosbag2-transport (0.8.0-1focal) focal; urgency=high

  * cleanup cmakelists (#726 <https://github.com/ros2/rosbag2/issues/726>)
  * turn recorder into a node (#724 <https://github.com/ros2/rosbag2/issues/724>)
  * turn player into a node (#723 <https://github.com/ros2/rosbag2/issues/723>)
  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Split Rosbag2Transport into Player and Recorder classes - first pass to enable further progress (#721 <https://github.com/ros2/rosbag2/issues/721>)
  * /clock publisher in Player (#695 <https://github.com/ros2/rosbag2/issues/695>)
  * use rclcpp logging macros (#715 <https://github.com/ros2/rosbag2/issues/715>)
  * use rclcpp::Node for generic pub/sub (#714 <https://github.com/ros2/rosbag2/issues/714>)
  * PlayerClock initial implementation - Player functionally unchanged (#689 <https://github.com/ros2/rosbag2/issues/689>)
  * Fix bad_function_call by replacing rclcpp::spin_some with SingleThreadedExecutor (#705 <https://github.com/ros2/rosbag2/issues/705>)
  * rosbag2_py pybind wrapper for "record" - remove rosbag2_transport_py (#702 <https://github.com/ros2/rosbag2/issues/702>)
  * Add rosbag2_py::Player::play to replace rosbag2_transport_python version (#693 <https://github.com/ros2/rosbag2/issues/693>)
  * Fix and clarify logic in test_play filter test (#690 <https://github.com/ros2/rosbag2/issues/690>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Add QoS decoding translation for infinite durations to RMW_DURATION_INFINITE (#684 <https://github.com/ros2/rosbag2/issues/684>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-rosbag2-transport (0.7.0-1focal) focal; urgency=high

  * Add support for rmw_connextdds (#671 <https://github.com/ros2/rosbag2/issues/671>)
  * Use rosbag2_py for ros2 bag info (#673 <https://github.com/ros2/rosbag2/issues/673>)
  * Contributors: Andrea Sorbini, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosbag2-transport (0.6.0-1focal) focal; urgency=high

  * Fix build issues when rosbag2_storage is binary installed (#585 <https://github.com/ros2/rosbag2/issues/585>)
  * Regex and exclude fix for rosbag recorder (#620 <https://github.com/ros2/rosbag2/issues/620>)
  * Recorder --regex and --exclude options (#604 <https://github.com/ros2/rosbag2/issues/604>)
  * SQLite storage optimized by default (#568 <https://github.com/ros2/rosbag2/issues/568>)
  * Fixed playing if unknown message types exist (#592 <https://github.com/ros2/rosbag2/issues/592>)
  * Compress bag files in separate threads (#506 <https://github.com/ros2/rosbag2/issues/506>)
  * Stabilize test_record by reducing copies of executors and messages (#576 <https://github.com/ros2/rosbag2/issues/576>)
  * Contributors: Adam Dąbrowski, Chen Lihui, Emerson Knapp, P. J. Reed, Piotr Jaroszek

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-galactic-rosbag2-transport (0.5.0-1focal) focal; urgency=high





=== debian/control ===
Source: ros-galactic-rosbag2-transport
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-gmock <!nocheck>, ros-galactic-ament-cmake-ros, ros-galactic-ament-index-cpp <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-rclcpp, ros-galactic-rmw, ros-galactic-rmw-implementation-cmake <!nocheck>, ros-galactic-rosbag2-compression, ros-galactic-rosbag2-cpp, ros-galactic-rosbag2-interfaces, ros-galactic-rosbag2-storage, ros-galactic-rosbag2-test-common <!nocheck>, ros-galactic-shared-queues-vendor, ros-galactic-test-msgs <!nocheck>, ros-galactic-yaml-cpp-vendor, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosbag2-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rclcpp, ros-galactic-rmw, ros-galactic-rosbag2-compression, ros-galactic-rosbag2-cpp, ros-galactic-rosbag2-interfaces, ros-galactic-rosbag2-storage, ros-galactic-shared-queues-vendor, ros-galactic-yaml-cpp-vendor, ros-galactic-ros-workspace
Description: Layer encapsulating ROS middleware to allow rosbag2 to be used with or without middleware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rosbag2-transport//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
